Name: rhevm-log-collector
Version: 3.1.0
Release: 9%{?dist}
Source: %{name}-%{version}.tar.gz
License: ASL 2.0
Summary: Log Collector for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
BuildRequires: python-devel
Requires: python-lxml
Requires: rhevm-sdk
Requires: sos
Requires: python-dateutil
Conflicts: rhevm < 3.1

Patch1: 0001-tools-Add-support-for-remote-PGDB-BZ831040.patch
Patch2: 0002-tools-support-mandatory-verify-BZ854703.patch
Patch3: 0003-tools-Remove-JBoss-SoS-Plug-In-BZ852908.patch
Patch4: 0004-tools-support-mandatory-verify-v2-BZ854703.patch
Patch5: 0005-tools-Fix-default-port-BZ857481.patch
Patch6: 0006-tools-Make-collect-default-BZ856005.patch
Patch7: 0007-tools-Fix-locale-issue-BZ858918.patch
Patch8: 0008-tools-Add-conflicts-3.1-BZ873269.patch

%description
Log Collector for Red Hat Enterprise Virtualization
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

%install
rm -rf %{buildroot}/*
make PREFIX=%{buildroot}/ install

%files
%doc AUTHORS LICENSE
%defattr(-,root,root,-)
%{_datadir}/rhevm/log-collector
%{python_sitelib}/sos/plugins/rhevm.py*
%{python_sitelib}/sos/plugins/postgresql.py*
%{_bindir}/rhevm-log-collector
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%{_mandir}/man8/rhevm-log-collector.8.gz


%changelog
* Sun Nov 11 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-9
- tools: Add conflicts < 3.1 (BZ873269)
Resolves: BZ#873269

* Sun Nov 04 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-8
- tools: Fix locale issue (BZ858918)
Resolves: BZ#858918

* Fri Sep 28 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-7
- rhbz#857481
- rhbz#856005
* Wed Sep 12 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-6
- rhbz#854703
* Wed Sep 12 2012 Dan Kenigsberg <dkenigsb@redhat.com> - 3.1.0-5
- rebuild with proper patch files
- BZ#852908,BZ#854703,BZ#831040
* Tue Sep 11 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-4
- BZ852908,BZ854703
* Fri Sep  7 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-3
- BZ852908, BZ854703, BZ831040
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-2
- BZ831163, BZ824331, BZ786979
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-1
- Fix requires 
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-0
- Initial build
